#pragma once

#include "IOutStream.h"
#include <stdio.h>

namespace NS_DM_Client
{
	namespace NS_Common
	{
		class FOutStream: public IOutStream
		{
		public:
			FOutStream();
			~FOutStream();

			virtual void Open(const char* filename);
			virtual void Write(const char* buffer, int size);
			virtual void Close();
			virtual int FormatMessage(char* buffer, int size, int threadID, const char* loggerName, 
				const char* category, const char* functionName);
			virtual int FormatMessage(char* buffer, int size, int threadID, const char* loggerName, 
				const char* category);

		private:
	//		std::ofstream m_ofstream;
			FILE* m_file;
		};
	}
}